<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-edit.twig */
class __TwigTemplate_f898f38543487d37b9397187e24c3385c8016d479ac03b014f163b993c8a02df extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "user-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Edit User");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "edit", []), "html", null, true);
        echo "\")
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#userEditForm\").submit()
";
    }

    // line 37
    public function block_callBack($context, array $blocks = [])
    {
        echo "userFormOpen";
    }

    // line 39
    public function block_formHtml($context, array $blocks = [])
    {
        // line 40
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Details");
        echo "</span></a></li>
                <li><a href=\"#reference\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Reference");
        echo "</span></a></li>
                ";
        // line 45
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 46
            echo "                    <li><a href=\"#notifications\" role=\"tab\" data-toggle=\"tab\"><span>";
            echo __("Notifications");
            echo "</span></a></li>
                ";
        }
        // line 48
        echo "                <li><a href=\"#optionsTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        echo __("Options");
        echo "</span></a></li>
            </ul>
            <form id=\"userEditForm\" class=\"UserForm form-horizontal\" method=\"put\" action=\"";
        // line 50
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.edit", ["id" => $this->getAttribute(($context["user"] ?? null), "userId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Login Name of the user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo $context["forms"]->getinput("userName", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "userName", []), ($context["helpText"] ?? null), "", "required maxlength='50'");
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Email");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Email Address for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->getemail("email", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "email", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 61
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 62
            echo "                            ";
            // line 63
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("New Password");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 64
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("The new Password for this user.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 65
            echo "                            ";
            echo $context["forms"]->getpassword("newPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
            echo "

                            ";
            // line 67
            ob_start(function () { return ''; });
            echo __("Retype New Password");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 68
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Repeat the new Password for this user.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 69
            echo "                            ";
            echo $context["forms"]->getpassword("retypeNewPassword", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
            echo "

                            ";
            // line 71
            ob_start(function () { return ''; });
            echo __("Reset Two Factor Authentication");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Once ticked the two factor authentication will be set to ‘Off’ for this User Profile with any stored secret codes cleared. The User can now set up two factor authentication from the User Profile as before.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 73
            echo "                            ";
            echo $context["forms"]->getcheckbox("disableTwoFactor", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "
                        ";
        }
        // line 75
        echo "
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Homepage");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Homepage for this user. This is the page they will be taken to when they login.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo $context["forms"]->getdropdown("homePageId", "single", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "homePageId", []), $this->getAttribute(($context["options"] ?? null), "homepage", []), "pageId", "title", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 80
        if ($this->getAttribute(($context["currentUser"] ?? null), "isSuperAdmin", [], "method")) {
            // line 81
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("User Type");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 82
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("What is this users type?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 83
            echo "                            ";
            echo $context["forms"]->getdropdown("userTypeId", "single", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "userTypeId", []), $this->getAttribute(($context["options"] ?? null), "userTypes", []), "userTypeId", "userType", ($context["helpText"] ?? null));
            echo "
                        ";
        }
        // line 85
        echo "
                        ";
        // line 86
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        <div class=\"form-group\">
                            <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 89
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                            <div class=\"col-sm-6\">
                                <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" min=\"0\" value=\"";
        // line 91
        echo twig_escape_filter($this->env, $this->getAttribute(($context["user"] ?? null), "libraryQuota", []), "html", null, true);
        echo "\" />
                                <span class=\"help-block\">";
        // line 92
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                            </div>
                            <div class=\"col-sm-4\">
                                <select name=\"libraryQuotaUnits\" class=\"form-control\">
                                    <option value=\"kb\">KiB</option>
                                    <option value=\"mb\">MiB</option>
                                    <option value=\"gb\">GiB</option>
                                </select>
                            </div>
                        </div>

                        ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Retired?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Is this user retired?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        echo $context["forms"]->getcheckbox("retired", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "retired", []), ($context["helpText"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"reference\">
                        ";
        // line 108
        ob_start(function () { return ''; });
        echo __("First Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's First Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        echo $context["forms"]->getinput("firstName", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "firstName", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 112
        ob_start(function () { return ''; });
        echo __("Last Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Last Name.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        echo $context["forms"]->getinput("lastName", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "lastName", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 116
        ob_start(function () { return ''; });
        echo __("Phone Number");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The User's Phone Number.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        echo $context["forms"]->getinput("phone", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "phone", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 120
        ob_start(function () { return ''; });
        echo __("Reference 1");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        echo $context["forms"]->getinput("ref1", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "ref1", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Reference 2");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo $context["forms"]->getinput("ref2", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "ref2", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Reference 3");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo $context["forms"]->getinput("ref3", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "ref3", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Reference 4");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo $context["forms"]->getinput("ref4", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "ref4", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Reference 5");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A reference field for custom user data");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo $context["forms"]->getinput("ref5", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "ref5", []), ($context["helpText"] ?? null), "", "maxlength='254'");
        echo "
                    </div>
                    ";
        // line 140
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 141
            echo "                        <div class=\"tab-pane\" id=\"notifications\">
                            ";
            // line 142
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 143
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should this User receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 144
            echo "                            ";
            echo $context["forms"]->getcheckbox("isSystemNotification", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "isSystemNotification", []), ($context["helpText"] ?? null));
            echo "

                            ";
            // line 146
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 147
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Should this User receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 148
            echo "                            ";
            echo $context["forms"]->getcheckbox("isDisplayNotification", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "isDisplayNotification", []), ($context["helpText"] ?? null));
            echo "
                        </div>
                    ";
        }
        // line 151
        echo "
                    <div class=\"tab-pane\" id=\"optionsTab\">
                        ";
        // line 153
        ob_start(function () { return ''; });
        echo __("Hide navigation?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the navigation side bar be hidden for this User?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        echo $context["forms"]->getcheckbox("hideNavigation", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "getOptionValue", [0 => "hideNavigation", 1 => "0"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 157
        ob_start(function () { return ''; });
        echo __("Hide User Guide?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User see the new user guide when they log in? This will be set to hidden if the User has dismissed the guide themselves.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 159
        echo "                        ";
        echo $context["forms"]->getcheckbox("newUserWizard", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "newUserWizard", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 161
        ob_start(function () { return ''; });
        echo __("Force Password Change");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should this User be forced to change password next time they log in?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        echo $context["forms"]->getcheckbox("isPasswordChangeRequired", ($context["title"] ?? null), $this->getAttribute(($context["user"] ?? null), "isPasswordChangeRequired", []), ($context["helpText"] ?? null));
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  484 => 163,  479 => 162,  475 => 161,  469 => 159,  464 => 158,  460 => 157,  454 => 155,  449 => 154,  445 => 153,  441 => 151,  434 => 148,  429 => 147,  425 => 146,  419 => 144,  414 => 143,  410 => 142,  407 => 141,  405 => 140,  399 => 138,  394 => 137,  390 => 136,  384 => 134,  379 => 133,  375 => 132,  369 => 130,  364 => 129,  360 => 128,  354 => 126,  349 => 125,  345 => 124,  339 => 122,  334 => 121,  330 => 120,  324 => 118,  319 => 117,  315 => 116,  309 => 114,  304 => 113,  300 => 112,  294 => 110,  289 => 109,  285 => 108,  278 => 105,  273 => 104,  269 => 103,  255 => 92,  251 => 91,  246 => 89,  243 => 88,  238 => 87,  234 => 86,  231 => 85,  225 => 83,  220 => 82,  215 => 81,  213 => 80,  207 => 78,  202 => 77,  198 => 76,  195 => 75,  189 => 73,  184 => 72,  180 => 71,  174 => 69,  169 => 68,  165 => 67,  159 => 65,  154 => 64,  149 => 63,  147 => 62,  145 => 61,  139 => 59,  134 => 58,  130 => 57,  124 => 55,  119 => 54,  115 => 53,  109 => 50,  103 => 48,  97 => 46,  95 => 45,  91 => 44,  87 => 43,  82 => 40,  79 => 39,  73 => 37,  67 => 34,  63 => 33,  56 => 32,  53 => 31,  48 => 28,  45 => 27,  40 => 24,  38 => 25,  32 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/user-form-edit.twig");
    }
}
